<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Attraction</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Attraction";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":6,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Attraction.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">attractions</a></div>
<h2 title="Class Attraction" class="title">Class Attraction</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>attractions.Attraction</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="AttractionTypeA.html" title="class in attractions">AttractionTypeA</a></code>, <code><a href="AttractionTypeB.html" title="class in attractions">AttractionTypeB</a></code>, <code><a href="AttractionTypeC.html" title="class in attractions">AttractionTypeC</a></code>, <code><a href="AttractionTypeD.html" title="class in attractions">AttractionTypeD</a></code>, <code><a href="AttractionTypeE.html" title="class in attractions">AttractionTypeE</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">Attraction</span>
extends java.lang.Object</pre>
<div class="block">Theme park application.
 Base class for attractions.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#allowsAdult">allowsAdult</a></span></code></th>
<td class="colLast">
<div class="block">Indicates if the attraction allows adults</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#allowsChildren">allowsChildren</a></span></code></th>
<td class="colLast">
<div class="block">Indicates if the attraction allows children</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#allowsVipPass">allowsVipPass</a></span></code></th>
<td class="colLast">
<div class="block">Indicates if the attraction allows vip pass</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#id">id</a></span></code></th>
<td class="colLast">
<div class="block">Unique identificator for attraction</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#maximumHeight">maximumHeight</a></span></code></th>
<td class="colLast">
<div class="block">Indicates the maximum height of the user of the attraction</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#minimunHeight">minimunHeight</a></span></code></th>
<td class="colLast">
<div class="block">Indicates the minimun height of the user of the attraction</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected byte</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#numAssistant">numAssistant</a></span></code></th>
<td class="colLast">
<div class="block">Indicates the number of assistants for the maintenance of the attraction</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected byte</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#numManager">numManager</a></span></code></th>
<td class="colLast">
<div class="block">Indicates the number of managers for the maintenance of the attraction</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ATTRACTION">TEXT_ATTRACTION</a></span></code></th>
<td class="colLast">
<div class="block">Consts</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ATTRACTION_ANNUAL_COST">TEXT_ATTRACTION_ANNUAL_COST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ATTRACTION_AVERAGE_COST">TEXT_ATTRACTION_AVERAGE_COST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ATTRACTION_DAILY_COST">TEXT_ATTRACTION_DAILY_COST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ATTRACTION_MONTHLY_COST">TEXT_ATTRACTION_MONTHLY_COST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ATTRACTION_PERIOD_COST">TEXT_ATTRACTION_PERIOD_COST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_FORMAT_TOSTRING">TEXT_FORMAT_TOSTRING</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">Attraction</a></span>&#8203;(java.lang.String&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#annualCost()">annualCost</a></span>()</code></th>
<td class="colLast">
<div class="block">Obtain the annual cost of attraction staff</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>protected abstract java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateID(java.lang.String)">calculateID</a></span>&#8203;(java.lang.String&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Calculate a unique identifier for the attraction</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#check(int,boolean)">check</a></span>&#8203;(int&nbsp;height,
     boolean&nbsp;isChildren)</code></th>
<td class="colLast">
<div class="block">Check if the characteristics of a person are suitable to ride on the attraction</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dailyCost(int,int)">dailyCost</a></span>&#8203;(int&nbsp;year,
         int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Obtain the daily cost of attraction staff</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionAnnualCost()">descriptionAnnualCost</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the descriptive text for users about the annual cost of the staff</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionDailyCost(int,int)">descriptionDailyCost</a></span>&#8203;(int&nbsp;year,
                    int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Returns the descriptive text for users about the daily cost of the staff</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionMonthlyCost()">descriptionMonthlyCost</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the descriptive text for users about the monthly cost of the staff</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#descriptionPeriodCost(int,int,int)">descriptionPeriodCost</a></span>&#8203;(int&nbsp;year,
                     int&nbsp;month,
                     int&nbsp;numDays)</code></th>
<td class="colLast">
<div class="block">Returns the descriptive text for users about the period cost of the staff</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#formatDescriptionCost(java.lang.String,double)">formatDescriptionCost</a></span>&#8203;(java.lang.String&nbsp;text,
                     double&nbsp;cost)</code></th>
<td class="colLast">
<div class="block">Format a description of a cost</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">
<div class="block">Get attraction unique identificator</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMaximumHeight()">getMaximumHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the maximum height in cm</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMinimunHeight()">getMinimunHeight</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the minimun height in cm</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>byte</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNumAssistant()">getNumAssistant</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the number of assistant</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>byte</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNumManager()">getNumManager</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the number of managers</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAllowsAdult()">isAllowsAdult</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates if the attraction allows adults</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAllowsChildren()">isAllowsChildren</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates if the attraction allows children</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAllowsVipPass()">isAllowsVipPass</a></span>()</code></th>
<td class="colLast">
<div class="block">Indicates if the attraction allows vip pass</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#monthlyCost()">monthlyCost</a></span>()</code></th>
<td class="colLast">
<div class="block">Obtain the monthly cost of attraction staff</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Description formatted for printing</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="TEXT_ATTRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ATTRACTION</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ATTRACTION</pre>
<div class="block">Consts</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_ATTRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ATTRACTION_ANNUAL_COST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ATTRACTION_ANNUAL_COST</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ATTRACTION_ANNUAL_COST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_ATTRACTION_ANNUAL_COST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ATTRACTION_AVERAGE_COST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ATTRACTION_AVERAGE_COST</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ATTRACTION_AVERAGE_COST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_ATTRACTION_AVERAGE_COST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ATTRACTION_DAILY_COST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ATTRACTION_DAILY_COST</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ATTRACTION_DAILY_COST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_ATTRACTION_DAILY_COST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ATTRACTION_MONTHLY_COST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ATTRACTION_MONTHLY_COST</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ATTRACTION_MONTHLY_COST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_ATTRACTION_MONTHLY_COST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ATTRACTION_PERIOD_COST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ATTRACTION_PERIOD_COST</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ATTRACTION_PERIOD_COST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_ATTRACTION_PERIOD_COST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_FORMAT_TOSTRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_FORMAT_TOSTRING</h4>
<pre>private static final&nbsp;java.lang.String TEXT_FORMAT_TOSTRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#attractions.Attraction.TEXT_FORMAT_TOSTRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="allowsAdult">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allowsAdult</h4>
<pre>protected&nbsp;boolean allowsAdult</pre>
<div class="block">Indicates if the attraction allows adults</div>
</li>
</ul>
<a id="allowsChildren">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allowsChildren</h4>
<pre>protected&nbsp;boolean allowsChildren</pre>
<div class="block">Indicates if the attraction allows children</div>
</li>
</ul>
<a id="allowsVipPass">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allowsVipPass</h4>
<pre>protected&nbsp;boolean allowsVipPass</pre>
<div class="block">Indicates if the attraction allows vip pass</div>
</li>
</ul>
<a id="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>protected&nbsp;java.lang.String id</pre>
<div class="block">Unique identificator for attraction</div>
</li>
</ul>
<a id="maximumHeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maximumHeight</h4>
<pre>protected&nbsp;int maximumHeight</pre>
<div class="block">Indicates the maximum height of the user of the attraction</div>
</li>
</ul>
<a id="minimunHeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minimunHeight</h4>
<pre>protected&nbsp;int minimunHeight</pre>
<div class="block">Indicates the minimun height of the user of the attraction</div>
</li>
</ul>
<a id="numAssistant">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numAssistant</h4>
<pre>protected&nbsp;byte numAssistant</pre>
<div class="block">Indicates the number of assistants for the maintenance of the attraction</div>
</li>
</ul>
<a id="numManager">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>numManager</h4>
<pre>protected&nbsp;byte numManager</pre>
<div class="block">Indicates the number of managers for the maintenance of the attraction</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Attraction</h4>
<pre>public&nbsp;Attraction&#8203;(java.lang.String&nbsp;id)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="calculateID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateID</h4>
<pre class="methodSignature">protected abstract&nbsp;java.lang.String&nbsp;calculateID&#8203;(java.lang.String&nbsp;id)</pre>
<div class="block">Calculate a unique identifier for the attraction</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="check(int,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>check</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;check&#8203;(int&nbsp;height,
                     boolean&nbsp;isChildren)</pre>
<div class="block">Check if the characteristics of a person are suitable to ride on the attraction</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>height</code> - </dd>
<dd><code>isChildren</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="annualCost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>annualCost</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;annualCost()</pre>
<div class="block">Obtain the annual cost of attraction staff</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="dailyCost(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dailyCost</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;dailyCost&#8203;(int&nbsp;year,
                        int&nbsp;month)</pre>
<div class="block">Obtain the daily cost of attraction staff</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="descriptionAnnualCost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionAnnualCost</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionAnnualCost()</pre>
<div class="block">Returns the descriptive text for users about the annual cost of the staff</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionDailyCost(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionDailyCost</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionDailyCost&#8203;(int&nbsp;year,
                                             int&nbsp;month)</pre>
<div class="block">Returns the descriptive text for users about the daily cost of the staff</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionPeriodCost(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionPeriodCost</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionPeriodCost&#8203;(int&nbsp;year,
                                              int&nbsp;month,
                                              int&nbsp;numDays)</pre>
<div class="block">Returns the descriptive text for users about the period cost of the staff</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>month</code> - </dd>
<dd><code>numDays</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="descriptionMonthlyCost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descriptionMonthlyCost</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;descriptionMonthlyCost()</pre>
<div class="block">Returns the descriptive text for users about the monthly cost of the staff</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="formatDescriptionCost(java.lang.String,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatDescriptionCost</h4>
<pre class="methodSignature">private&nbsp;java.lang.String&nbsp;formatDescriptionCost&#8203;(java.lang.String&nbsp;text,
                                               double&nbsp;cost)</pre>
<div class="block">Format a description of a cost</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dd><code>cost</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="monthlyCost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>monthlyCost</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;monthlyCost()</pre>
<div class="block">Obtain the monthly cost of attraction staff</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getId()</pre>
<div class="block">Get attraction unique identificator</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="isAllowsAdult()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAllowsAdult</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isAllowsAdult()</pre>
<div class="block">Indicates if the attraction allows adults</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="isAllowsChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAllowsChildren</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isAllowsChildren()</pre>
<div class="block">Indicates if the attraction allows children</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="isAllowsVipPass()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAllowsVipPass</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isAllowsVipPass()</pre>
<div class="block">Indicates if the attraction allows vip pass</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="getMaximumHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumHeight</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getMaximumHeight()</pre>
<div class="block">Get the maximum height in cm</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getMinimunHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimunHeight</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getMinimunHeight()</pre>
<div class="block">Get the minimun height in cm</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getNumAssistant()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumAssistant</h4>
<pre class="methodSignature">public&nbsp;byte&nbsp;getNumAssistant()</pre>
<div class="block">Get the number of assistant</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte</dd>
</dl>
</li>
</ul>
<a id="getNumManager()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumManager</h4>
<pre class="methodSignature">public&nbsp;byte&nbsp;getNumManager()</pre>
<div class="block">Get the number of managers</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Description formatted for printing</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Attraction.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
